org.gnome.gdk

## Class EventMask

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.bindings.Flag
    - - org.gnome.gdk.EventMask

-     public final class EventMask
      extends org.freedesktop.bindings.Flag

  The events a Widget will receive. You can use the Flags defined here to control which events will be received by a Widget.

  While most common events are enabled by default, some of them need to be `enabled` in order to be received. Such cases are properly documented together with each event signal, so unless specified there you usually do not need to worry about this at all.

  Since:
    4.0.15
  Author:
    Vreixo Formoso

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EventMask` | `BUTTON_MOTION` Enable/disable `Widget.MotionNotify` events when any mouse button is pressed.
    `static EventMask` | `BUTTON_PRESS` Enable/disable `Widget.ButtonPressEvent` events.
    `static EventMask` | `BUTTON_RELEASE` Enable/disable `Widget.ButtonReleaseEvent` events.
    `static EventMask` | `ENTER_NOTIFY` Enable/disable `Widget.EnterNotifyEvent` events.
    `static EventMask` | `EXPOSURE` FIXME?
    `static EventMask` | `FOCUS_CHANGE` Enable/disable focus related events, such as `Widget.FocusInEvent` and `Widget.FocusOutEvent`.
    `static EventMask` | `KEY_PRESS` Enable/disable `Widget.KeyPressEvent` events.
    `static EventMask` | `KEY_RELEASE` Enable/disable `Widget.KeyReleaseEvent` events.
    `static EventMask` | `LEAVE_NOTIFY` Enable/disable `Widget.LeaveNotifyEvent` events.
    `static EventMask` | `LEFT_BUTTON_MOTION` Enable/disable `Widget.MotionNotifyEvent` events when the left button is pressed.
    `static EventMask` | `MIDDLE_BUTTON_MOTION` Enable/disable `Widget.MotionNotifyEvent` when the middle button is pressed.
    `static EventMask` | `POINTER_MOTION` Enable/disable all `Widget.MotionNotify` events.
    `static EventMask` | `RIGHT_BUTTON_MOTION` Enable/disable `Widget.MotionNotifyEvent` when the right button is pressed.
    `static EventMask` | `SCROLL` Enable/disable `Widget.ScrollEvent` events.
    `static EventMask` | `STRUCTURE`
    `static EventMask` | `VISIBILITY_NOTIFY` Enable/disable `Widget.VisibilityNotifyEvent` events.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventMask` | `or(EventMask one, EventMask two)` Creates a new EventMask flag as the OR'ing or combination of two EventMask flags.

    - ### Methods inherited from class org.freedesktop.bindings.Flag

      `contains`

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BUTTON_MOTION

          public static final EventMask BUTTON_MOTION

      Enable/disable `Widget.MotionNotify` events when any mouse button is pressed.

    - #### BUTTON_PRESS

          public static final EventMask BUTTON_PRESS

      Enable/disable `Widget.ButtonPressEvent` events.

    - #### BUTTON_RELEASE

          public static final EventMask BUTTON_RELEASE

      Enable/disable `Widget.ButtonReleaseEvent` events.

    - #### ENTER_NOTIFY

          public static final EventMask ENTER_NOTIFY

      Enable/disable `Widget.EnterNotifyEvent` events.

    - #### EXPOSURE

          public static final EventMask EXPOSURE

      FIXME?

    - #### FOCUS_CHANGE

          public static final EventMask FOCUS_CHANGE

      Enable/disable focus related events, such as `Widget.FocusInEvent` and `Widget.FocusOutEvent`.

    - #### KEY_PRESS

          public static final EventMask KEY_PRESS

      Enable/disable `Widget.KeyPressEvent` events.

    - #### KEY_RELEASE

          public static final EventMask KEY_RELEASE

      Enable/disable `Widget.KeyReleaseEvent` events.

    - #### LEAVE_NOTIFY

          public static final EventMask LEAVE_NOTIFY

      Enable/disable `Widget.LeaveNotifyEvent` events.

    - #### LEFT_BUTTON_MOTION

          public static final EventMask LEFT_BUTTON_MOTION

      Enable/disable `Widget.MotionNotifyEvent` events when the left button is pressed.

    - #### MIDDLE_BUTTON_MOTION

          public static final EventMask MIDDLE_BUTTON_MOTION

      Enable/disable `Widget.MotionNotifyEvent` when the middle button is pressed.

    - #### POINTER_MOTION

          public static final EventMask POINTER_MOTION

      Enable/disable all `Widget.MotionNotify` events.

    - #### RIGHT_BUTTON_MOTION

          public static final EventMask RIGHT_BUTTON_MOTION

      Enable/disable `Widget.MotionNotifyEvent` when the right button is pressed.

    - #### SCROLL

          public static final EventMask SCROLL

      Enable/disable `Widget.ScrollEvent` events.

    - #### STRUCTURE

          public static final EventMask STRUCTURE

    - #### VISIBILITY_NOTIFY

          public static final EventMask VISIBILITY_NOTIFY

      Enable/disable `Widget.VisibilityNotifyEvent` events.

  - ### Method Detail

    - #### or

          public static EventMask or(EventMask one,
                     EventMask two)

      Creates a new EventMask flag as the OR'ing or combination of two EventMask flags.